From c998238aa89cceece6a81ba352479afb2f375f1a Mon Sep 17 00:00:00 2001
From: Arnaud Lacombe <lacombar@gmail.com>
Date: Thu, 27 May 2010 01:25:00 -0400
Subject: [PATCH 4/6] ath_hal: NetBSD build fixes

---
 sys/external/isc/atheros_hal/conf/files.ath_hal    |   10 ++++++++--
 sys/external/isc/atheros_hal/dist/ah_desc.h        |    3 ---
 sys/external/isc/atheros_hal/dist/ah_internal.h    |    2 +-
 .../isc/atheros_hal/dist/ar5416/ar5416reg.h        |    2 +-
 sys/external/isc/atheros_hal/ic/ah_osdep.h         |    6 ++++++
 5 files changed, 16 insertions(+), 7 deletions(-)

diff --git a/sys/external/isc/atheros_hal/conf/files.ath_hal b/sys/external/isc/atheros_hal/conf/files.ath_hal
index ee1147e..364d703 100644
--- a/sys/external/isc/atheros_hal/conf/files.ath_hal
+++ b/sys/external/isc/atheros_hal/conf/files.ath_hal
@@ -11,6 +11,7 @@ file	external/isc/atheros_hal/dist/ah.c		ath
 file	external/isc/atheros_hal/dist/ah_eeprom_v1.c	ath & athhal_eeprom_v1
 file	external/isc/atheros_hal/dist/ah_eeprom_v3.c	ath & athhal_eeprom_v3
 file	external/isc/atheros_hal/dist/ah_eeprom_v14.c	ath & athhal_eeprom_v14
+file	external/isc/atheros_hal/dist/ah_eeprom_v4k.c	ath
 file	external/isc/atheros_hal/dist/ah_regdomain.c	ath
 
 # Atheros HAL's OS dependant code
@@ -58,8 +59,8 @@ defflag opt_athhal.h	ATHHAL_RF5111
 defflag opt_athhal.h	ATHHAL_RF5112
 defflag opt_athhal.h	ATHHAL_RF5413
 
-file	external/isc/atheros_hal/dist/ar5212/ar2316.c		ath & athhal_rf2316
-file	external/isc/atheros_hal/dist/ar5212/ar2317.c		ath & athhal_rf2317
+#file	external/isc/atheros_hal/dist/ar5212/ar2316.c		ath & athhal_rf2316
+#file	external/isc/atheros_hal/dist/ar5212/ar2317.c		ath & athhal_rf2317
 file	external/isc/atheros_hal/dist/ar5212/ar2413.c		ath & athhal_rf2413
 file	external/isc/atheros_hal/dist/ar5212/ar2425.c		ath & athhal_rf2425
 file	external/isc/atheros_hal/dist/ar5212/ar5111.c		ath & athhal_rf5111
@@ -131,6 +132,11 @@ file	external/isc/atheros_hal/dist/ar5416/ar5416_recv.c	ath & athhal_ar5416
 file	external/isc/atheros_hal/dist/ar5416/ar5416_reset.c	ath & athhal_ar5416
 file	external/isc/atheros_hal/dist/ar5416/ar5416_xmit.c	ath & athhal_ar5416
 file	external/isc/atheros_hal/dist/ar5416/ar9160_attach.c	ath & athhal_ar5416
+file	external/isc/atheros_hal/dist/ar5416/ar9280.c		ath & athhal_ar5416
+file	external/isc/atheros_hal/dist/ar5416/ar9280_attach.c	ath & athhal_ar5416
+file	external/isc/atheros_hal/dist/ar5416/ar9285.c		ath & athhal_ar5416
+file	external/isc/atheros_hal/dist/ar5416/ar9285_attach.c	ath & athhal_ar5416
+file	external/isc/atheros_hal/dist/ar5416/ar9285_reset.c	ath & athhal_ar5416
 
 #
 #
diff --git a/sys/external/isc/atheros_hal/dist/ah_desc.h b/sys/external/isc/atheros_hal/dist/ah_desc.h
index 919e247..db112d9 100644
--- a/sys/external/isc/atheros_hal/dist/ah_desc.h
+++ b/sys/external/isc/atheros_hal/dist/ah_desc.h
@@ -189,9 +189,6 @@ struct ath_desc {
 	uint32_t	ds_ctl0;	/* opaque DMA control 0 */
 	uint32_t	ds_ctl1;	/* opaque DMA control 1 */
 	uint32_t	ds_hw[HAL_DESC_HW_SIZE];	/* opaque h/w region */
-};
-
-struct ath_desc_status {
 	union {
 		struct ath_tx_status tx;/* xmit status */
 		struct ath_rx_status rx;/* recv status */
diff --git a/sys/external/isc/atheros_hal/dist/ah_internal.h b/sys/external/isc/atheros_hal/dist/ah_internal.h
index 3791639..aa827f6 100644
--- a/sys/external/isc/atheros_hal/dist/ah_internal.h
+++ b/sys/external/isc/atheros_hal/dist/ah_internal.h
@@ -478,7 +478,7 @@ extern	uint32_t ath_hal_reverseBits(uint32_t val, uint32_t n);
 /* printf interfaces */
 extern	void ath_hal_printf(struct ath_hal *, const char*, ...)
 		__printflike(2,3);
-extern	void ath_hal_vprintf(struct ath_hal *, const char*, __va_list)
+extern	void ath_hal_vprintf(struct ath_hal *, const char*, va_list)
 		__printflike(2, 0);
 extern	const char* ath_hal_ether_sprintf(const uint8_t *mac);
 
diff --git a/sys/external/isc/atheros_hal/dist/ar5416/ar5416reg.h b/sys/external/isc/atheros_hal/dist/ar5416/ar5416reg.h
index cab34cc..0f31b48 100644
--- a/sys/external/isc/atheros_hal/dist/ar5416/ar5416reg.h
+++ b/sys/external/isc/atheros_hal/dist/ar5416/ar5416reg.h
@@ -19,7 +19,7 @@
 #ifndef _DEV_ATH_AR5416REG_H
 #define	_DEV_ATH_AR5416REG_H
 
-#include <dev/ath/ath_hal/ar5212/ar5212reg.h>
+#include "ar5212/ar5212reg.h"
 
 /*
  * Register added starting with the AR5416
diff --git a/sys/external/isc/atheros_hal/ic/ah_osdep.h b/sys/external/isc/atheros_hal/ic/ah_osdep.h
index 81480e5..a574213 100644
--- a/sys/external/isc/atheros_hal/ic/ah_osdep.h
+++ b/sys/external/isc/atheros_hal/ic/ah_osdep.h
@@ -83,6 +83,12 @@ extern	u_int32_t ath_hal_getuptime(struct ath_hal *);
 #define	HALHANDLE(h)	(HAL_BUS_HANDLE) (h)
 #endif
 
+
+#ifndef __DECONST
+#define __DECONST(type, ptr)	__UNCONST(ptr)
+#endif
+
+
 /*
  * Register read/write; we assume the registers will always
  * be memory-mapped.  Note that register accesses are done
-- 
1.7.1.rc0.7.g02125bc

